### Hierarchy

- BaseSchema

## Index

### Constructors

- constructor

### Properties

- All
- EthAddrRecord
- EthBaseAddrPair
- EthWallets

### Methods

- validateAddr
- validateBaseAddrPair
- validateWallets

## Constructors

### constructor

- new BaseSchema(): BaseSchema

- - Defined in utils/types/BaseSchema.ts:154

  #### Returns BaseSchema

## Properties

### Static All

All: BaseSchemaCombine = new BaseSchemaCombine(new BaseSchemaCombineDefinitions(BaseSchema.EthAddrRecord, BaseSchema.EthBaseAddrPair, BaseSchema.EthWallets))

- Defined in utils/types/BaseSchema.ts:148

### Static EthAddrRecord

EthAddrRecord: BaseSchemaAddRecord = new BaseSchemaAddRecord(new BaseSchemaAddRecordDefinitions(BaseSchema.EthBaseAddrPair))

- Defined in utils/types/BaseSchema.ts:140

### Static EthBaseAddrPair

EthBaseAddrPair: BaseSchemaAddPair = new BaseSchemaAddPair()

- Defined in utils/types/BaseSchema.ts:138

### Static EthWallets

EthWallets: BaseSchemaEthWallet = new BaseSchemaEthWallet(new BaseSchemaEthWalletDefinitions(BaseSchema.EthAddrRecord, BaseSchema.EthBaseAddrPair))

- Defined in utils/types/BaseSchema.ts:144

## Methods

### validateAddr

- validateAddr(addrRecord: AddrRecord): boolean

- - Defined in utils/types/BaseSchema.ts:164

  #### Parameters

  - ##### addrRecord: AddrRecord

  #### Returns boolean

### validateBaseAddrPair

- validateBaseAddrPair(baseAddrPair: BaseAddrPair): boolean

- - Defined in utils/types/BaseSchema.ts:172

  #### Parameters

  - ##### baseAddrPair: BaseAddrPair

  #### Returns boolean

### validateWallets

- validateWallets(walletsRecords: WalletsRecords): boolean

- - Defined in utils/types/BaseSchema.ts:168

  #### Parameters

  - ##### walletsRecords: WalletsRecords

  #### Returns boolean

Generated using TypeDoc